%define upstream_name    Template-Plugin-Page
%define upstream_version 0.10

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:	A plugin to help when paging through sets of results
License:	Artistic/GPL
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}/
Source0:	http://www.cpan.org/modules/by-module/Template/%{upstream_name}-%{upstream_version}.tar.bz2

BuildRequires:	perl-Data-Page
BuildRequires:  perl-Template-Toolkit
BuildArch:	noarch


%description
When searching through large amounts of data, it is often the case
that a result set is returned that is larger than we want to display
on one page. This results in wanting to page through various pages of
data. The maths behind this is unfortunately fiddly, hence this
module.

The main concept is that you pass in the number of total entries, the
number of entries per page, and the current page number. You can then
call methods to find out how many pages of information there are, and
what number the first and last entries on the current page really are.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{make}


%install
%makeinstall_std

%files
%doc README Changes
%perl_vendorlib/Template/Plugin/*
%_mandir/*/*

%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.100.0-8pclos2017
- rebuild against updates

